# Created by pyp2rpm-3.3.4
%global pypi_name cffsubr

Name:           python-%{pypi_name}
Version:        0.2.9.post1
Release:        %mkrel 2
Summary:        Standalone CFF subroutinizer based on the AFDKO tx tool
Group:          Development/Python
License:        Apache 2.0
URL:            https://github.com/adobe-type-tools/cffsubr
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(fonttools) >= 4.10.2
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-git-ls-files)
BuildRequires:  python3dist(setuptools-scm)

%description
Standalone CFF subroutinizer based on the AFDKO tx tool.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3dist(afdko)

%description -n python3-%{pypi_name}
Standalone CFF subroutinizer based on the AFDKO tx tool.

%prep
%autosetup -n %{pypi_name}-%{version}

# Do not build the extension, which is a copy of the “tx” executable from
# adobe-afdko:
sed -r -i 's/(ext_modules=)/# \1/' setup.py

# Remove bundled adobe-afdko:
rm -rf external

%build
export XFLAGS="%{optflags}"
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

rm -rf %{buildroot}%{python3_sitelib}/%{pypi_name}/tx
ln -s %{_bindir}/tx %{buildroot}%{python3_sitelib}/%{pypi_name}/tx

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/cffsubr
%{python3_sitelib}/%{pypi_name}/tx


%changelog
* Tue Jan 16 2024 daviddavid <daviddavid> 0.2.9.post1-2.mga10
+ Revision: 2031406
- rebuild for py3.12

* Sat Jan 14 2023 wally <wally> 0.2.9.post1-1.mga9
+ Revision: 1932965
- new version 0.2.9.post1

* Fri Mar 25 2022 umeabot <umeabot> 0.2.8-3.mga9
+ Revision: 1825693
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 mrambo3501 <mrambo3501> 0.2.8-2.mga9
+ Revision: 1783974
- rebuild for python-3.10

* Fri Jun 25 2021 wally <wally> 0.2.8-1.mga9
+ Revision: 1732267
- new version 0.2.8

* Tue Apr 20 2021 daviddavid <daviddavid> 0.2.7-2.mga9
+ Revision: 1717395
- rebuild for python 3.9

* Fri Jul 24 2020 wally <wally> 0.2.7-1.mga8
+ Revision: 1608648
- imported package python-cffsubr

